Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043974
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementmajoralways2020-05-06 19:452020-05-26 12:52
ReportersdossantosView Statuspublic 
Assigned Tocberner 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q3
StatusclosedFix in branchFixed in SCM revision1766912da85a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043974: In sales order when navigating the Delivery Location record is modified with another address whit the same address name

DescriptionWhen two busines partner share the same name for two different addresses, and creating two consecutive sales orders one with each of these business partner. When editing the first sales order, if the delivery address is navigated, then this record is changed with the record of the address of the other business partner (of the second sales order created), this create problems with shipments (these orders are sent to addresses of other business partner). If this record is saved without knowing that this change was made (closing the form view or changing the focus to the order lines) or if any modification is made in another field and it is saved, it generates the problem of Shipping.
Steps To Reproduce1) Create two business partners (or update existing) adding on each one a new business partner address, same name for these addresses.
2) Create a new sales order, in form mode, with first business partner using the adress created in Delivery Location field. Add a product and book this order.
3) Create a new sales order, in form mode, with second business partner using the adress created in Delivery Location field. Save this record.
4) Close form mode and open first sales order created and navigate Delivery Location field.

At this point, the first sales order created was modified seting Delivery Location of second sales order created. If you make a change in other field and save this order you has modified the Delivery Location field permantly or if you accidentaly save this order.
TagsNo tags attached.
Attached Files? file icon Video.tar.xz [^] (4,495,916 bytes) 2020-05-06 19:50

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0120165)
alostale (developer)
2020-05-22 10:44

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/74 [^]
(0120286)
hgbot (developer)
2020-05-26 12:42

Repository: erp/devel/pi
Changeset: 1766912da85a42f6b3a96d51fafe45f6b45a1b0f
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Thu May 21 13:14:11 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1766912da85a42f6b3a96d51fafe45f6b45a1b0f [^]

Fixes ISSUE-43974: Select correct combo-box element when using same display name

mapDisplayToValue default implementation is not updating its reverse picked cache, it kept its value despite changing records if pickValue wasn't called again.
This resulted in combo boxes from forms selecting values from previous records, not present on the current record

mapDisplayToValue has been reimplemented to avoid the side-effects of the inherited implementation

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-combo.js
---
(0120287)
alostale (developer)
2020-05-26 12:52

reviewed

- Issue History
Date Modified Username Field Change
2020-05-06 19:45 sdossantos New Issue
2020-05-06 19:45 sdossantos Assigned To => Triage Finance
2020-05-06 19:45 sdossantos Modules => Core
2020-05-06 19:45 sdossantos Triggers an Emergency Pack => No
2020-05-06 19:50 sdossantos File Added: Video.tar.xz
2020-05-07 08:34 dmiguelez Assigned To Triage Finance => platform
2020-05-07 09:25 jfrances Issue Monitored: jfrances
2020-05-14 20:02 matias-bernal Issue Monitored: matias-bernal
2020-05-21 13:25 cberner Assigned To platform => cberner
2020-05-21 13:25 cberner Status new => scheduled
2020-05-21 13:25 cberner Review Assigned To => alostale
2020-05-22 10:44 alostale Note Added: 0120165
2020-05-26 12:42 hgbot Checkin
2020-05-26 12:42 hgbot Note Added: 0120286
2020-05-26 12:42 hgbot Status scheduled => resolved
2020-05-26 12:42 hgbot Resolution open => fixed
2020-05-26 12:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1766912da85a42f6b3a96d51fafe45f6b45a1b0f [^]
2020-05-26 12:52 alostale Note Added: 0120287
2020-05-26 12:52 alostale Status resolved => closed
2020-05-26 12:52 alostale Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker